version: '3.4'
services:
  dind:
    image: docker:stable-dind
    command: --storage-driver=overlay2
    container_name: ${RUNNER_NAME}-dind
    restart: always
    privileged: true
    volumes:
      - /var/lib/docker

  runner:
    image: gitlab/gitlab-runner:alpine
    container_name: ${RUNNER_NAME}-runner
    restart: always
    environment:
      - DOCKER_HOST=tcp://dind:2375
    volumes:
      - ./config:/etc/gitlab-runner:Z
